Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.planner.core.constructionheuristic.greedyFit.decider
Class DefaultGreedyDecider

    java.lang.Object
      org.drools.planner.core.constructionheuristic.greedyFit.decider.DefaultGreedyDecider

All Implemented Interfaces:
  EventListener, GreedyDecider, GreedySolverPhaseLifecycleListener

    public class DefaultGreedyDecider

extends Object
implements GreedyDecider

Field Summary
`protected boolean` | `assertMoveScoreIsUncorrupted`

Constructor Summary
`DefaultGreedyDecider()`

Method Summary
`void` | `beforeDeciding(GreedyFitStepScope greedyFitStepScope)`
`void` | `decideNextStep(GreedyFitStepScope greedyFitStepScope)` Decides the next step
`void` | `phaseEnded(GreedyFitSolverPhaseScope greedyFitSolverPhaseScope)`
`void` | `phaseStarted(GreedyFitSolverPhaseScope greedyFitSolverPhaseScope)`
`void` | `setAssertMoveScoreIsUncorrupted(boolean assertMoveScoreIsUncorrupted)`
`void` | `setConstructionHeuristicPickEarlyType(ConstructionHeuristicPickEarlyType constructionHeuristicPickEarlyType)`
`void` | `setPlanningVariableWalker(PlanningVariableWalker planningVariableWalker)`
`void` | `stepDecided(GreedyFitStepScope greedyFitStepScope)`
`void` | `stepTaken(GreedyFitStepScope greedyFitStepScope)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### assertMoveScoreIsUncorrupted

    protected boolean assertMoveScoreIsUncorrupted

Constructor Detail

### DefaultGreedyDecider

    public DefaultGreedyDecider()

Method Detail

### setPlanningVariableWalker

    public void setPlanningVariableWalker(PlanningVariableWalker planningVariableWalker)

### setConstructionHeuristicPickEarlyType

    public void setConstructionHeuristicPickEarlyType(ConstructionHeuristicPickEarlyType constructionHeuristicPickEarlyType)

### setAssertMoveScoreIsUncorrupted

    public void setAssertMoveScoreIsUncorrupted(boolean assertMoveScoreIsUncorrupted)

### phaseStarted

    public void phaseStarted(GreedyFitSolverPhaseScope greedyFitSolverPhaseScope)

  Specified by:
    `phaseStarted` in interface `GreedySolverPhaseLifecycleListener`

### beforeDeciding

    public void beforeDeciding(GreedyFitStepScope greedyFitStepScope)

  Specified by:
    `beforeDeciding` in interface `GreedySolverPhaseLifecycleListener`

### decideNextStep

    public void decideNextStep(GreedyFitStepScope greedyFitStepScope)

  Description copied from interface: `GreedyDecider`
  Decides the next step

  Specified by:
    `decideNextStep` in interface `GreedyDecider`
  Parameters:
    `greedyFitStepScope` - never null

### stepDecided

    public void stepDecided(GreedyFitStepScope greedyFitStepScope)

  Specified by:
    `stepDecided` in interface `GreedySolverPhaseLifecycleListener`

### stepTaken

    public void stepTaken(GreedyFitStepScope greedyFitStepScope)

  Specified by:
    `stepTaken` in interface `GreedySolverPhaseLifecycleListener`

### phaseEnded

    public void phaseEnded(GreedyFitSolverPhaseScope greedyFitSolverPhaseScope)

  Specified by:
    `phaseEnded` in interface `GreedySolverPhaseLifecycleListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 JBoss by Red Hat. All Rights Reserved.